Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2171737 - systemd-boot: FTBFS in Fedora rawhide/f38
Summary: systemd-boot: FTBFS in Fedora rawhide/f38
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd-boot
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact:
URL:
Whiteboard:
: 2226481 (view as bug list)
Depends On:
Blocks: F38FTBFS F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-02-20 12:04 UTC by Fedora Release Engineering
Modified: 2023-08-16 07:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2023-02-20 12:04:46 UTC
systemd-boot failed to build from source in Fedora rawhide/f38

https://koji.fedoraproject.org/koji/taskinfo?taskID=96472106


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
Please fix systemd-boot at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
systemd-boot will be orphaned. Before branching of Fedora 39,
systemd-boot will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Zbigniew Jędrzejewski-Szmek 2023-02-20 20:02:34 UTC
The fact that the build failed is good. The package shouldn't be built
until https://pagure.io/releng/issue/10765 is resolved.

Comment 2 Zbigniew Jędrzejewski-Szmek 2023-08-06 10:08:47 UTC
*** Bug 2226481 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Release Engineering 2023-08-16 07:09:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.


Note You need to log in before you can comment on or make changes to this bug.